#
# $Id$
#
# $Id: configure.in,v 1.33 2008/02/08 15:10:17 adeniz Exp $
#
# autoconf input for the MicroNeil @PACKAGE_NAME@-sendmail RPM spec file.
#
# Author: Alban Deniz
#
# Copyright (C) 2013 ARM Research Labs, LLC.
# See www.armresearch.com for the copyright terms.
#
#############################################################################

# Create the source RPM in this directory.
%define _srcrpmdir @abs_srcdir@/

# Create the binary RPM in this directory.
%define _rpmdir @abs_srcdir@/

# Test install in this directory.
BuildRoot: @abs_srcdir@/scratch/

# Required items.
Name: @PACKAGE_NAME@-sendmail
Version: @VERSION@
Release: 1
License: Artistic
Group: System Environment/Daemons
BuildArch: noarch
Summary: ARM Research Labs Sniffer integration with sendmail.

#%define manifest %{_builddir}/%{name}-%{version}-%{release}.manifest

# Optional items.
Vendor: ARM Research Labs, Inc.
URL: http://www.armresearch.com/

Requires: snf-server
Requires: sendmail
@SNF_RPM_SENDMAIL_OTHER_REQUIRES@

%description
@PACKAGE_NAME@-sendmail integrates snf-server with sendmail.  snf-server
is a plug-in for an MTA (Mail Transport Agent, such as sendmail or
postfix) that does spam detection and IP address scanning.
@PACKAGE_NAME@-sendmail must be installed after @PACKAGE_NAME@.

%group Applications/Communications

%post
# Integrate with sendmail.
/usr/sbin/SNFServerConfig -with=sendmail

%preun
# Remove configuration with sendmail.
/usr/sbin/SNFServerConfig -with=none

%files
%defattr(-,root,root)

%changelog
* Sat Sep 22 2012 Alban Deniz - 1.0.4-1
- Initial version
